﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _367268_TabControlSample
{
	public class DataItem : ViewModelBase
	{
		private String header;
		/// <summary>
		///     Gets or sets the header.
		/// </summary>
		public String Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}
        
		
		private String content;
		/// <summary>
		///     Gets or sets the content.
		/// </summary>
		public String Content
		{
			get
			{
				return this.content;
			}
			set
			{
				if (this.content != value)
				{
					this.content = value;
					OnPropertyChanged("Content");
				}
			}
		}

		
		private String userEmail;
		public String UserEmail
		{
			get
			{
				return this.userEmail;
			}
			set
			{
				if (this.userEmail != value)
				{
					this.userEmail = value;
					OnPropertyChanged("UserEmail");
				}
			}
		}
        
        
	}
}
