﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _367268_TabControlSample.ViewModels
{
	public class MyViewModel : ViewModelBase
	{
		public MyViewModel()
		{
			Tabs = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				DataItem item = new DataItem()
					{
						Header = String.Format("Tab {0}", i),
						Content = String.Format("Content of Tab {0}", i)

					};
				this.Tabs.Add(item);
			}
			this.SelectedTab = Tabs[0];
		}
		public ObservableCollection<DataItem> Tabs { get; set; }

		
		private DataItem selectedTab;
		/// <summary>
		///     Gets or sets the selected tab.
		/// </summary>
		public DataItem SelectedTab
		{
			get
			{
				return this.selectedTab;
			}
			set
			{
				if (this.selectedTab != value)
				{
					this.selectedTab = value;
					OnPropertyChanged("SelectedTab");
				}
			}
		}

	}
}
